#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		bname		%(echo %{sname} | tr '-' '_')
#-----------------------------------------------------------------------------
Name		:	python3-pytest-benchmark
Version		:	3.4.1
Release		:	17.0.10.rel%{?dist}
Summary		:	 A py.test fixture for benchmarking code
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/pytest-dev/pluggy

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel


#-----------------------------------------------------------------------------
%description
This plugin provides a benchmark fixture.
This fixture is a callable object that will
benchmark any function passed to it.
	
Notable features and goals:
	
  - Sensible defaults and automatic calibration
    for microbenchmarks
	
  - Good integration with pytest
	
  - Comparison and regression tracking
	
  - Exhausive statistics
	
  - JSON export

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst CHANGELOG.rst CONTRIBUTING.rst AUTHORS.rst
%license LICENSE
%{_bindir}/%{sname}
%{_bindir}/py.test-benchmark
%{python3_sitelib}/%{bname}/*.py
%{python3_sitelib}/%{bname}/__pycache__/*.pyc
%{python3_sitelib}/%{bname}/storage/*.py
%{python3_sitelib}/%{bname}/storage/__pycache__/*.pyc
%{python3_sitelib}/%{bname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
	
#%{__python}						\
#	setup.py					\
#	pytest						\

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
